Top bar and shell dialogs are not displayed properly when zoom is enabled

Bug #1767648 reported by Pavarin Bhandtivej on 2018-04-28
44
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Mutter
Fix Released
Medium
mutter (Ubuntu)
High
Daniel van Vugt
Bionic
Undecided
Daniel van Vugt
Cosmic
Undecided
Daniel van Vugt

Bug Description

[Impact]

When zoom is enabled, the top bar and some shell dialogs (wireless network selection, shutdown dialog, etc.) are not displayed properly. (See the attached screenshots.)

[Test Case]

1. Enable Zoom in Setting > Universal Access
2. (Optional) Set zoom factor to around 3 (or higher)
3. Look at the top bar. You will notice that all texts and icons are now gone. If you move your cursor to the right of the top bar, and then click on the status menu, you will see that only a portion of the menu is shown.
4. For the shell dialogs, go to the Settings app. In the Wifi section, choose one of the secured network available. You will see that the password dialog is not displayed in its entirety.

[Regression Potential]

Low. The affected code is only used in rendering shell panels and popup menus at the moment. So any potential regression (like the original bug) would be noticed in those places only, and not beyond. Furthermore, the upstream fix has been tested regularly for 8 months already.

[Other Info]

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: gnome-shell 3.28.1-0ubuntu2
ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
Uname: Linux 4.15.0-20-generic x86_64
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
CasperVersion: 1.394
CurrentDesktop: ubuntu:GNOME
Date: Sat Apr 28 12:54:24 2018
DisplayManager: gdm3
GsettingsChanges:
 b'org.gnome.desktop.interface' b'gtk-im-module' b"'gtk-im-context-simple'"
 b'org.gnome.desktop.interface' b'cursor-size' b'96'
LiveMediaBuild: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=C.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-shell
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Additional screenshot: the top bar

Additional screenshot: the shell dialog

Daniel van Vugt (vanvugt) wrote :

Please help the Gnome developers to diagnose this problem by reporting it upstream here:
https://gitlab.gnome.org/GNOME/gnome-shell/issues

tags: added: zoom
tags: added: visual-quality
Daniel van Vugt (vanvugt) wrote :

Actually, maybe don't bother.

I think this may be a known bug:
https://bugzilla.gnome.org/show_bug.cgi?id=789050

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Changed in mutter (Ubuntu):
status: New → Confirmed
Changed in mutter:
importance: Unknown → Medium
status: Unknown → Confirmed

I've tried reproducing the issue in Fedora 28 daily live image to see whether the problem is specific to Ubuntu or not. Using the same computer, I was unable to reproduce the bug. Could this be related to some of the Ubuntu-specific patches?

Moreover, If I remember correctly, when I tried Ubuntu 18.04 daily live image on April 17th, the top bar and shell dialogs appeared to be properly displayed.

Daniel van Vugt (vanvugt) wrote :

Yes, it would be triggered by an Ubuntu-specific performance patch:
js-ui-Choose-some-actors-to-cache-on-the-GPU.patch

But this bug is not Ubuntu's fault directly. It's only triggered by that patch, which is itself correct.

This bug is fundamentally an older issue with mutter, which has been observed in other places too:
https://bugzilla.gnome.org/show_bug.cgi?id=789050

Sebastien Bacher (seb128) wrote :

Daniel, Marco is that a regression from the recent upload in bionic? Do you consider the issue fixed by the patch more important than the regression it creates? Do we have any easy way to resolve the zoom bug?

Changed in gnome-shell (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
importance: Undecided → High
Daniel van Vugt (vanvugt) wrote :

I think in most cases the performance benefit from the patch is more important than being able to zoom the panel and panel menus. So this bug is the lesser evil on average, but I fully appreciate people who rely on zoom will disagree.

We're working to get the upstream fix fixed ASAP:
https://gitlab.gnome.org/GNOME/mutter/merge_requests/52

I spent yesterday afternoon on it already...

Changed in mutter (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
status: Confirmed → In Progress
Daniel van Vugt (vanvugt) wrote :

This bug is actually very handy for me. It provides visual confirmation of where caching is working (https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/73).

But we will still fix it :)

Daniel van Vugt (vanvugt) wrote :

Just to clarify, we aim to fix this bug with https://gitlab.gnome.org/GNOME/mutter/merge_requests/52 or similar. So please track that page.

Daniel van Vugt (vanvugt) wrote :

I've hit a new problem: During zoom any new actors displayed for the first time (e.g. some bubble menus) are themselves not clones. If you start gnome-shell with zoom already enabled then even major actors like the panel or dash are also not clones. Because the unzoomed version either never existed or was never in a stage at least.

So we can't test for them being clones, meaning https://gitlab.gnome.org/GNOME/mutter/merge_requests/52 won't help us here even after fixing the bugs in that branch :(

Changed in mutter (Ubuntu):
importance: Undecided → High
Changed in gnome-shell (Ubuntu):
status: Confirmed → Invalid
assignee: Marco Trevisan (Treviño) (3v1n0) → nobody
no longer affects: gnome-shell (Ubuntu)
tags: added: rls-bb-incoming
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mutter (Ubuntu Bionic):
status: New → Confirmed
Alex ARNAUD (alexarnaud) wrote :

Hello all,

I've seen this bug reported on the Ubuntu Forum.

I'm visual-impaired myself and I'm writing this message with a zoom at factor 5 and color inversion on my screen.

I'm using Debian, Mate desktop and the Compiz window manager that provides lot of plug-ins useful for visual-impaired: full-screen zoom, color filters, negative and show mouse (circle or cross around the mouse).

You can contact me via private message if you want help on such software to be able to help your friend to be able to use his computer.

Best regards,
Alex.

Daniel van Vugt (vanvugt) wrote :

Thanks Alex.

I spent the past couple of weeks working on a fix for this bug. It is now completed and awaiting review by the Gnome developers. It may also be released into Ubuntu sooner than that, depending on when Ubuntu gets more updates to the mutter and gnome-shell packages.

Daniel van Vugt (vanvugt) wrote :

Hmm, actually maybe I'll take another attempt at that and get this performance fix in too:

  https://gitlab.gnome.org/GNOME/mutter/commit/c9c3283540

Daniel van Vugt (vanvugt) wrote :

Here's a fix for cosmic, and then some.

tags: removed: rls-bb-incoming
Changed in mutter (Ubuntu Bionic):
milestone: none → ubuntu-18.04.1
assignee: nobody → Daniel van Vugt (vanvugt)
status: Confirmed → In Progress
Daniel van Vugt (vanvugt) wrote :

Let's not sponsor this till the new issue raised upstream is resolved. Or at least researched.

Daniel, also please once you've get the working version, propose it to salsa [1], as for mutter we're in sync with debian

[1] https://salsa.debian.org/gnome-team/mutter

Daniel van Vugt (vanvugt) wrote :

I do have a working fix in:
  https://gitlab.gnome.org/GNOME/mutter/merge_requests/117
and the issues mentioned in comment #21 are resolved.

However the lack of upstream reviews and repeated fixes to that branch has made me more cautious.

Changed in mutter:
status: Confirmed → In Progress
Lee Clark (lclark125) wrote :

This bug is preventing me upgrading to Ubuntu 18.04. I see that the upstream fix is still waiting to be merged. Will this fix make it into Ubuntu 18.10? Will it be back ported to 18.04?

Daniel van Vugt (vanvugt) wrote :

It's bugging me too. Unfortunately I don't know how long upstream will take to accept the fix.

I have discussed getting it into Ubuntu sooner than upstream but the Ubuntu developers with the power to do that seem to be too busy right now getting 18.10 released.

Since this is a bug however, there is no policy preventing us from getting the fix into 18.10 and 18.04 after this release.

Declan (deathstick) wrote :

I'm also having this bug and for people with sightloss it's a massive issue, some things I wasn't able to do on my laptop because of it
- I didn't realise the bluetooth was always on,
- I couldn't figure out the date or time
- There's a weird menu that's open on the top left of my screen I can't get rid of
The bluetooth issue is a serious security issue,
This bug makes ubuntu unsafe to use for people with sightloss.
I picked the wrong time to switch and am thinking of moving back to windows.

Leona (leona-linux) wrote :

Hi
I have a visual impairment which requires me to use the magnification accessibility extension.
I have 2 machines, my desktop currently running Mint 18.3 and my laptop (Acer Switch Alpha 12) running Ubuntu 18.04

I have noticed the bug as reported here as being the same one that I experience on the laptop running gnome.

This doesn't happen in Mint (different desktop, Cinemon not gnome).
I had used previous versions of the Gnome variant of Ubuntu 15.10 and up before and saw this happening on them, I was hoping this issue would be fixed by now.

This problem means I'm unable to use my laptop

Thanks
Leona.

description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.30.2-5

---------------
mutter (3.30.2-5) unstable; urgency=medium

  * d/p/clutter-Avoid-rounding-compensation-when-invalidating-2D-.patch,
    d/p/clutter-Fix-offscreen-effect-painting-of-clones.patch:
    - Fix offscreen-effect painting of clones in zoom mode (LP: #1767648,
      LP: #1779615)
  * d/p/cogl-auto-texture-Avoid-a-double-free-crash.patch,
    d/p/clutter-offscreen-effect-Disable-if-no-texture.patch:
    - Fix crash in dual monitor setup and gdm activation (LP: #1790525,
      LP: #1795774)

 -- Marco Trevisan (Treviño) <email address hidden> Thu, 24 Jan 2019 18:00:14 +0000

Changed in mutter (Ubuntu):
status: In Progress → Fix Released
Changed in mutter (Ubuntu Bionic):
milestone: ubuntu-18.04.1 → ubuntu-18.04.2
Changed in mutter:
status: In Progress → Fix Released
Iain Lane (laney) on 2019-01-25
Changed in mutter (Ubuntu Cosmic):
status: New → In Progress
assignee: nobody → Daniel van Vugt (vanvugt)
Iain Lane (laney) wrote :

I'm about to upload this fix to cosmic and bionic (18.10 & 18.04).

Now, from https://wiki.ubuntu.com/StableReleaseUpdates#SRU_Bug_Template

"[Regression Potential]

 * discussion of how regressions are most likely to manifest as a result of this change.

 * It is assumed that any SRU candidate patch is well-tested before
   upload and has a low overall risk of regression, but it's important
   to make the effort to think about what ''could'' happen in the
   event of a regression.

 * This both shows the SRU team that the risks have been considered,
   and provides guidance to testers in regression-testing the SRU."

The description here - and all of the others attached to the same upload - don't really match that. I wonder if either of the two developers (Daniel or Marco) would like to improve the regression potential sections please?

description: updated
description: updated

Hello Pavarin, or anyone else affected,

Accepted mutter into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mutter/3.30.2-1~ubuntu18.10.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mutter (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Daniel van Vugt (vanvugt) wrote :

Verified on cosmic that mutter version 3.30.2-1~ubuntu18.10.3 fixes the problem.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Bryce (bryce-a-carson) wrote :

Verified on Cosmic that mutter version 3.30.2-1~ubuntu.18.10.3 does NOT fix the problem.

Bryce (bryce-a-carson) wrote :

Unintentionally unassigned Cosmic from Daniel. Please reassign to Daniel.

Changed in mutter (Ubuntu Cosmic):
assignee: Daniel van Vugt (vanvugt) → Bryce (bryce-a-carson)
assignee: Bryce (bryce-a-carson) → nobody
Lee Clark (lclark125) wrote :

I tested this in a VM and it appears to work fine. Bryce, did you reboot after installing? That was required for me.

I look forward to this going into 18.04 so I can finally get off 16.04!

Bryce (bryce-a-carson) wrote :

Yes, a warm reboot was performed after initial testing to confirm lack of function. Cold booted this morning and the fix still does not work, so I'm reverting to the previous package now. I'll go through the process of reenabling -proposed when the next fix is released for other testing instructions are provided for this fix.

Bryce (bryce-a-carson) on 2019-02-02
tags: added: verification-failed-cosmic
removed: verification-done-cosmic

Since this fixes the problem in various scenarios we can probably instead mark as ferification-done, since it doesn't cause any regrassion anyway while works in some setups.

So, would probably better to reopen this later instead (or use another bug) not to block the SRU.

Anyway, Bryce, can you give us context about your hw (graphic card, drivers, ppas? and versions)?
Otherwise is probably hard to reproduce your issue, as so far was not possible to reproduce for us.

I can. It will need to happen this evening (+12 hours from this reply),
though.

On Wed, Feb 6, 2019, 1:30 AM Marco Trevisan (Treviño) <mail@3v1n0.net wrote:

> Anyway, Bryce, can you give us context about your hw (graphic card,
> drivers, ppas? and versions)?
> Otherwise is probably hard to reproduce your issue, as so far was not
> possible to reproduce for us.
>

Bryce (bryce-a-carson) wrote :

I have an HD 5870.
I'm not using any additional or proprietary drivers (according to that tab in Software & Updates); however, 'Proprietary drivers for devices' is enabled in the Ubuntu Software tab in Software & Updates.

The only PPAs I have are for Google Chrome, PlayOnLinux, and Alexander Larsson's Launchpad.

For my video card information:
Cypress XT [Radeon HD 5870]
Vendor: AMD/ATI
Phys. ID: 0
version: 00
clock: 33MHz
driver: radeon
I'm not sure exactly which information you need, so here is a pastebin of the output of 'modinfo radeon': https://pastebin.com/axFRR5hw.

I'm honestly not sure what to provide, so if you want the output of some commands, I can provide those easily if you tell me which/what you'd like. I didn't find any GUI-level information on my drivers or what packages they are, so that's the best I could find in the time I have for this.

Daniel van Vugt (vanvugt) wrote :

Bryce,

Sorry for the delay. I was on leave...

Please log a new bug from your affected machine by running:

  ubuntu-bug mutter

and tell us the new bug ID.

Changed in mutter (Ubuntu Cosmic):
assignee: nobody → Daniel van Vugt (vanvugt)
Bryce (bryce-a-carson) wrote :

No worries, Daniel.

I was going to log the new bug report. I re-enabled the proposed updates
and opened aptitude to install the package but I noticed that there was
an unmet dependency (libmutter: 3.30.2-1~ubuntu18.10.3) for the proposed
package. I installed that dependency along with the proposed package,
and, to my surprise, the package now works as expected. There is some
minor flickering when the mouse cursor is moved diagonally over context
(RMB) menus in some gnome applications (files and the desktop), but the
system menu and the taskbar behave as expected.

Perhaps when I followed instructions the first time I upgraded to the
proposed package the dependency failed to install. The package works now.

Should I submit a bug for the context-menu flickering?

-Bryce

Expected behaviour of system menu when zoom functionality enabled.

On 2019-02-17 8:59 p.m., Daniel van Vugt wrote:
> Bryce,
>
> Sorry for the delay. I was on leave...
>
> Please log a new bug from your affected machine by running:
>
> ubuntu-bug mutter
>
> and tell us the new bug ID.
>
> ** Changed in: mutter (Ubuntu Cosmic)
> Assignee: (unassigned) => Daniel van Vugt (vanvugt)
>

Declan (deathstick) wrote :

Ok, I am on Ubuntu 18.10, does that mean I installe dthe update? How do I check? The issue hasn't gone away, still can't see the system menu.

Bryce (bryce-a-carson) wrote :

If you look a few posts earlier in the thread, you'll see a guide on how to
test the proposed package. It shouldn't be long now before all users
receive the update. You won't need to reconfigure anything then.

On Mon, Feb 18, 2019, 4:05 PM Declan <<email address hidden> wrote:

> Ok, I am on Ubuntu 18.10, does that mean I installe dthe update? How do
> I check? The issue hasn't gone away, still can't see the system menu.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1767648
>
> Title:
> Top bar and shell dialogs are not displayed properly when zoom is
> enabled
>
> Status in Mutter:
> Fix Released
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Bionic:
> In Progress
> Status in mutter source package in Cosmic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> When zoom is enabled, the top bar and some shell dialogs (wireless
> network selection, shutdown dialog, etc.) are not displayed properly.
> (See the attached screenshots.)
>
> [Test Case]
>
> 1. Enable Zoom in Setting > Universal Access
> 2. (Optional) Set zoom factor to around 3 (or higher)
> 3. Look at the top bar. You will notice that all texts and icons are now
> gone. If you move your cursor to the right of the top bar, and then click
> on the status menu, you will see that only a portion of the menu is shown.
> 4. For the shell dialogs, go to the Settings app. In the Wifi section,
> choose one of the secured network available. You will see that the password
> dialog is not displayed in its entirety.
>
> [Regression Potential]
>
> Low. The affected code is only used in rendering shell panels and
> popup menus at the moment. So any potential regression (like the
> original bug) would be noticed in those places only, and not beyond.
> Furthermore, the upstream fix has been tested regularly for 8 months
> already.
>
> [Other Info]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.28.1-0ubuntu2
> ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
> Uname: Linux 4.15.0-20-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7
> Architecture: amd64
> CasperVersion: 1.394
> CurrentDesktop: ubuntu:GNOME
> Date: Sat Apr 28 12:54:24 2018
> DisplayManager: gdm3
> GsettingsChanges:
> b'org.gnome.desktop.interface' b'gtk-im-module'
> b"'gtk-im-context-simple'"
> b'org.gnome.desktop.interface' b'cursor-size' b'96'
> LiveMediaBuild: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64
> (20180426)
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=C.UTF-8
> SHELL=/bin/bash
> SourcePackage: gnome-shell
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mutter/+bug/1767648/+subscriptions
>

Daniel van Vugt (vanvugt) wrote :

Bryce,

Yes I could almost tell already that you had the fix half-installed but not yet active. Glad it's now working for you.

Please do log new bugs for any additional problems by running:

  ubuntu-bug gnome-shell

---

Declan,

The fix is not released to 18.10 yet but you can download and test it from here:

https://launchpad.net/ubuntu/+source/mutter/3.30.2-1~ubuntu18.10.3

tags: added: verification-done verification-done-cosmic
removed: verification-failed-cosmic verification-needed
Daniel van Vugt (vanvugt) wrote :

^^^
Per comment #31, verified on cosmic that mutter version 3.30.2-1~ubuntu18.10.3 fixes the problem.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.30.2-1~ubuntu18.10.3

---------------
mutter (3.30.2-1~ubuntu18.10.3) cosmic; urgency=medium

  * d/p/clutter-Avoid-rounding-compensation-when-invalidating-2D-.patch,
    d/p/clutter-Fix-offscreen-effect-painting-of-clones.patch:
    - Fix offscreen-effect painting of clones in zoom mode (LP: #1767648,
      LP: #1779615)
  * d/p/cogl-auto-texture-Avoid-a-double-free-crash.patch,
    d/p/clutter-offscreen-effect-Disable-if-no-texture.patch:
    - Fix crash in dual monitor setup and gdm activation (LP: #1790525,
      LP: #1795774)

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 25 Jan 2019 11:09:33 +0000

Changed in mutter (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mutter has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Pavarin, or anyone else affected,

Accepted mutter into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mutter/3.28.3+git20190124-0ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mutter (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done

Verified on bionic that the proposed update (mutter version 3.28.3+git20190124-0ubuntu18.04.1) fixes the issue.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Lee Clark (lclark125) wrote :

I've tested the updated package in a 18.04 VM and also installed on my laptop in both cases the issue is fixed.

Thank you everyone who has worked on this issue. Very much appreciated.

Changed in mutter (Ubuntu Bionic):
milestone: ubuntu-18.04.2 → ubuntu-18.04.3
Daniel van Vugt (vanvugt) wrote :

You're welcome. I'm glad this fix is finally seeing the light of day.

Also verified mutter version 3.28.3+git20190124-0ubuntu18.04.1 has fixed this bug on bionic.

tags: added: verification-done
removed: verification-needed
Daniel van Vugt (vanvugt) wrote :

And it only occurred to me today that zoom performance should (and does seem to) increase too. Because the combination of the two fixes:

  https://gitlab.gnome.org/GNOME/mutter/commit/8655bc5d
  https://gitlab.gnome.org/GNOME/gnome-shell/commit/f77b3da7

means that panels/docks don't need to get regenerated every time you move the mouse while in zoom.

Might that be the same issue affecting the context menu (right click) when
using zoom? How does the drawing work for those menus?

On Tue, Feb 26, 2019, 8:35 PM Daniel van Vugt, <
<email address hidden>> wrote:

> And it only occurred to me today that zoom performance should (and does
> seem to) increase too. Because the combination of the two fixes:
>
> https://gitlab.gnome.org/GNOME/mutter/commit/8655bc5d
> https://gitlab.gnome.org/GNOME/gnome-shell/commit/f77b3da7
>
> means that panels/docks don't need to get regenerated every time you
> move the mouse while in zoom.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1767648
>
> Title:
> Top bar and shell dialogs are not displayed properly when zoom is
> enabled
>
> Status in Mutter:
> Fix Released
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Bionic:
> Fix Committed
> Status in mutter source package in Cosmic:
> Fix Released
>
> Bug description:
> [Impact]
>
> When zoom is enabled, the top bar and some shell dialogs (wireless
> network selection, shutdown dialog, etc.) are not displayed properly.
> (See the attached screenshots.)
>
> [Test Case]
>
> 1. Enable Zoom in Setting > Universal Access
> 2. (Optional) Set zoom factor to around 3 (or higher)
> 3. Look at the top bar. You will notice that all texts and icons are now
> gone. If you move your cursor to the right of the top bar, and then click
> on the status menu, you will see that only a portion of the menu is shown.
> 4. For the shell dialogs, go to the Settings app. In the Wifi section,
> choose one of the secured network available. You will see that the password
> dialog is not displayed in its entirety.
>
> [Regression Potential]
>
> Low. The affected code is only used in rendering shell panels and
> popup menus at the moment. So any potential regression (like the
> original bug) would be noticed in those places only, and not beyond.
> Furthermore, the upstream fix has been tested regularly for 8 months
> already.
>
> [Other Info]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.28.1-0ubuntu2
> ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
> Uname: Linux 4.15.0-20-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7
> Architecture: amd64
> CasperVersion: 1.394
> CurrentDesktop: ubuntu:GNOME
> Date: Sat Apr 28 12:54:24 2018
> DisplayManager: gdm3
> GsettingsChanges:
> b'org.gnome.desktop.interface' b'gtk-im-module'
> b"'gtk-im-context-simple'"
> b'org.gnome.desktop.interface' b'cursor-size' b'96'
> LiveMediaBuild: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64
> (20180426)
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=C.UTF-8
> SHELL=/bin/bash
> SourcePackage: gnome-shell
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mutter/+bug/1767648/+subscriptions
>

Daniel van Vugt (vanvugt) wrote :

Bryce,

I am not talking about an "issue" at all. If you are experiencing problems then please log new bugs for them.

Bryce (bryce-a-carson) wrote :

Will do.

On Tue, Feb 26, 2019, 9:00 PM Daniel van Vugt, <
<email address hidden>> wrote:

> Bryce,
>
> I am not talking about an "issue" at all. If you are experiencing
> problems then please log new bugs for them.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1767648
>
> Title:
> Top bar and shell dialogs are not displayed properly when zoom is
> enabled
>
> Status in Mutter:
> Fix Released
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Bionic:
> Fix Committed
> Status in mutter source package in Cosmic:
> Fix Released
>
> Bug description:
> [Impact]
>
> When zoom is enabled, the top bar and some shell dialogs (wireless
> network selection, shutdown dialog, etc.) are not displayed properly.
> (See the attached screenshots.)
>
> [Test Case]
>
> 1. Enable Zoom in Setting > Universal Access
> 2. (Optional) Set zoom factor to around 3 (or higher)
> 3. Look at the top bar. You will notice that all texts and icons are now
> gone. If you move your cursor to the right of the top bar, and then click
> on the status menu, you will see that only a portion of the menu is shown.
> 4. For the shell dialogs, go to the Settings app. In the Wifi section,
> choose one of the secured network available. You will see that the password
> dialog is not displayed in its entirety.
>
> [Regression Potential]
>
> Low. The affected code is only used in rendering shell panels and
> popup menus at the moment. So any potential regression (like the
> original bug) would be noticed in those places only, and not beyond.
> Furthermore, the upstream fix has been tested regularly for 8 months
> already.
>
> [Other Info]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.28.1-0ubuntu2
> ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
> Uname: Linux 4.15.0-20-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7
> Architecture: amd64
> CasperVersion: 1.394
> CurrentDesktop: ubuntu:GNOME
> Date: Sat Apr 28 12:54:24 2018
> DisplayManager: gdm3
> GsettingsChanges:
> b'org.gnome.desktop.interface' b'gtk-im-module'
> b"'gtk-im-context-simple'"
> b'org.gnome.desktop.interface' b'cursor-size' b'96'
> LiveMediaBuild: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64
> (20180426)
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=C.UTF-8
> SHELL=/bin/bash
> SourcePackage: gnome-shell
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mutter/+bug/1767648/+subscriptions
>

Declan (deathstick) wrote :

Hi everyone,
I'm not exactly sure how but this is now fixed, I did an update and it works.
Thanks to everyone who worked on this fix.
My question is, can updates that break accessibility be stopped until they are accessible for all?
This issue should not have happened and I wonder how we can stop it from happening again.

Daniel van Vugt (vanvugt) wrote :

Short of predicting the future, I think the best answer is that more keen Ubuntu users should test the next version of Ubuntu before its release. That way we can discuss/prioritize/fix accessibility issues before they get released to the wider world.

You can always get a test build of the next Ubuntu version here:
http://cdimages.ubuntu.com/daily-live/current/

There's a common misconception that Canonical has some big development team that will do all the development and testing but that's not true. We rely heavily on community users to help make Ubuntu possible.

Bryce (bryce-a-carson) wrote :
Download full text (3.4 KiB)

Thanks for clearing up that misconception, Daniel (at least for me; I
thought there was at least a sizable team employed by Canonical). I'll be
happy to run these versions and do some testing. I'll looking forward to
19.04/19.10, so I'll see how they are in their current state and report any
bugs I find.

On Mon, Mar 4, 2019, 7:30 PM Daniel van Vugt, <email address hidden>
wrote:

> Short of predicting the future, I think the best answer is that more
> keen Ubuntu users should test the next version of Ubuntu before its
> release. That way we can discuss/prioritize/fix accessibility issues
> before they get released to the wider world.
>
> You can always get a test build of the next Ubuntu version here:
> http://cdimages.ubuntu.com/daily-live/current/
>
> There's a common misconception that Canonical has some big development
> team that will do all the development and testing but that's not true.
> We rely heavily on community users to help make Ubuntu possible.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1767648
>
> Title:
> Top bar and shell dialogs are not displayed properly when zoom is
> enabled
>
> Status in Mutter:
> Fix Released
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Bionic:
> Fix Committed
> Status in mutter source package in Cosmic:
> Fix Released
>
> Bug description:
> [Impact]
>
> When zoom is enabled, the top bar and some shell dialogs (wireless
> network selection, shutdown dialog, etc.) are not displayed properly.
> (See the attached screenshots.)
>
> [Test Case]
>
> 1. Enable Zoom in Setting > Universal Access
> 2. (Optional) Set zoom factor to around 3 (or higher)
> 3. Look at the top bar. You will notice that all texts and icons are now
> gone. If you move your cursor to the right of the top bar, and then click
> on the status menu, you will see that only a portion of the menu is shown.
> 4. For the shell dialogs, go to the Settings app. In the Wifi section,
> choose one of the secured network available. You will see that the password
> dialog is not displayed in its entirety.
>
> [Regression Potential]
>
> Low. The affected code is only used in rendering shell panels and
> popup menus at the moment. So any potential regression (like the
> original bug) would be noticed in those places only, and not beyond.
> Furthermore, the upstream fix has been tested regularly for 8 months
> already.
>
> [Other Info]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.28.1-0ubuntu2
> ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
> Uname: Linux 4.15.0-20-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7
> Architecture: amd64
> CasperVersion: 1.394
> CurrentDesktop: ubuntu:GNOME
> Date: Sat Apr 28 12:54:24 2018
> DisplayManager: gdm3
> GsettingsChanges:
> b'org.gnome.desktop.interface' b'gtk-im-module'
> b"'gtk-im-context-simple'"
> b'org.gnome.desktop.interface' b'cursor-size' b'96'
> LiveMediaBuild: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64
> (20180426)
> ProcEnviron:
> TERM=xter...

Read more...

Declan (deathstick) wrote :

Yes, I'll switch to test and contribute as well,

Christopher Millsap (cmillsap) wrote :

I noticed that this is scheduled to go out in August for Bionic. Is there any way that I can install the mutter module with the fix before then? This is definitely making my life difficult even with a 27 inch monitor because of my vision.

Daniel van Vugt (vanvugt) wrote :

Yes. I am using it on bionic right now. All you need to do is download the .deb files (not .ddeb files) from:

https://launchpad.net/ubuntu/+source/mutter/3.28.3+git20190124-0ubuntu18.04.1/+build/16422451

and install them.

Daniel van Vugt (vanvugt) wrote :

And no, we won't wait till August to get this fix into 18.04 updates. It will be released soon after all the other bug fixes in the same update have been verified (by anyone):

https://launchpad.net/ubuntu/+source/mutter/3.28.3+git20190124-0ubuntu18.04.1

Christopher Millsap (cmillsap) wrote :

Thanks. I did install the .debs and now the fix is working for me. I will note that after installing the .debs and rebooting my machine, the GUI would not come up. This was resolved by reinstalling the desktop from the CLI. In any event, the fix is working and I appreciate the help. If you need any information from me, please let me know.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.